| Kea 3.0.2-git

cfg_hosts.h File Reference
`#include <asiolink/io_address.h>`
`#include <cc/cfg_to_element.h>`
`#include <dhcpsrv/base_host_data_source.h>`
`#include <dhcpsrv/host.h>`
`#include <dhcpsrv/host_container.h>`
`#include <dhcpsrv/subnet_id.h>`
`#include <dhcpsrv/writable_host_data_source.h>`
`#include <boost/scoped_ptr.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <set>`
`#include <mutex>`
`#include <vector>`
Include dependency graph for cfg_hosts.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::CfgHosts
| Represents the host reservations specified in the configuration file. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
Pointers to the @c CfgHosts objects.
typedef boost::shared_ptr< CfgHosts > | isc::dhcp::CfgHostsPtr
| Non-const pointer.
typedef boost::shared_ptr< const CfgHosts > | isc::dhcp::ConstCfgHostsPtr
| Const pointer.